#pragma once

class CAnimImage;

class CDialInfoWnd : public CWnd
{
	DECLARE_DYNAMIC(CDialInfoWnd)

public:
	CDialInfoWnd();
	virtual ~CDialInfoWnd();

	Image*	GetBGImage()	{ return m_pImgBg; }
	void	SetMemberData(NE_MEMBER_DATA memberData);
	void	SetCallNumber(CString strNumber);
	void	SetCallStatus(NTIPTStatusType cst);

	void	OnBnClickedBackspace();
	void	AddNumber(TCHAR chNum);

	CString GetUserID() { return m_userData.strUserId.c_str(); }
	CString GetPhoneNumber() { return m_strPhoneNumber; }

protected:
	DECLARE_MESSAGE_MAP()

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);

	void DeleteConnectingGIF();
	void ShowConnectingGIF();

	CString GetShowPhoneNumber(CString strPhoneNumber);
	void ClearMemberData();
private:
	Image*  m_pImgBg;
	Image*  m_pImgTalk;

	NE_MEMBER_DATA m_userData;
	CString m_strPhoneNumber;		// ü ȭȣ
	CString m_strShowPhoneNumber;	// ȭ鿡 ǥ ȭȣ( ȣ  տ ...  ǥ)
	CString m_strCurrentStatus;

	CNMImgButton m_btnBackspace;
	NTIPTStatusType	m_eCallStatus;
	CAnimImage*	m_pGIFConnecting;

	CRect m_rtConnecting;
	CRect m_rtPhoneNumber;
};


